TextToSpeechCloseLogFile(3dtk)

Name

TextToSpeechCloseLogFile - Closes a log file.

Syntax
    MMRESULT TextToSpeechCloseLogFile (LPTTS_HANDLE_T phTTS)

Parameters

LPTTS_HANDLE_T phTTS
    Specifies an opened text-to-speech handle.

Description

This function closes a log file opened by the TextToSpeechOpenLogFile() function and returns to the startup state. The speech samples are then ignored or sent to an audio device, depending on the setting of the dwDeviceOptions parameter in the startup function.

TextToSpeechCloseLogFile() closes any open log file, even if it was opened with the Log voice-control command.

The application must have called TextToSpeechOpenLogFile() before calling TextToSpeechCloseLogFile().

Return Values

This function returns a value of type MMRESULT. The value is zero if the function is successful. The return value is one of the following constants:

Constant | Description
MMSYSERR_NOERROR
 | Normal successful completion (zero).
MMSYSERR_ERROR
 | Failure to wait for pending speech, unable to close the output file, or no output file is open.
MMSYSERR_INVALHANDLE
 | The text-to-speech handle was invalid.

See Also

TextToSpeechOpenLogFile(3dtk)